precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float alphaValue;

void main() {
    vec2 uv = textureCoordinate;
    vec4 originalColor = texture2D(inputImageTexture, uv);
    originalColor *= alphaValue;
    gl_FragColor = originalColor;
}